Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsIteratorResult

    java.lang.Object
      |
      +--javax.naming.NameClassPair
            |
            +--javax.naming.Binding
                  |
                  +--javax.naming.directory.SearchResult
                        |
                        +--com.novell.service.nds.NdsIteratorResult

public final class NdsIteratorResult
extends javax.naming.directory.SearchResult
implements java.io.Serializable

Represents an item in the NamingEnumeration returned as a result of calls to the NdsIterator.next() or NdsIterator.previous() methods.

An NdsIteratorResult instance is not synchronized against concurrent multithreaded access. Multiple threads trying to access and modify a single NdsIteratorResult instance should lock the object.

See Also:
  `NdsIterator.next(int, int)`, `NdsIterator.previous(int, int)`

Constructor Summary
`NdsIteratorResult(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs, info)` Constructs an NdsIteratorResult instance using the result's name, its bound object, its attributes, and its NDS object information.
`NdsIteratorResult(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs, info, boolean isRelative)` Constructs an NdsIteratorResult instance using the result's name, its bound object, its attributes, its NDS object information, and a boolean indicating whether or not the name is relative.
`NdsIteratorResult(java.lang.String name, java.lang.String className, java.lang.Object obj, javax.naming.directory.Attributes attrs, info)` Constructs an NdsIteratorResult instance using the result's name, its class name, its bound object, its attributes, and its NDS object information.
`NdsIteratorResult(java.lang.String name, java.lang.String className, java.lang.Object obj, javax.naming.directory.Attributes attrs, info, boolean isRelative)` Constructs an NdsIteratorResult instance using the result's name, its class name, its bound object, its attributes, its NDS object information, and a boolean indicating whether or not the name is relative.

Method Summary
`` | `getObjectInfo()` Returns an NDSObjectInfo object containing information on the NDS object in this iterator result.
`void` | `setObjectInfo( info)` Sets the NDS object information of this iterator result to the passed in value contained in the NDSObjectInfo object.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class javax.naming.directory.SearchResult
`getAttributes, setAttributes`

Methods inherited from class javax.naming.Binding
`getClassName, getObject, setObject`

Methods inherited from class javax.naming.NameClassPair
`getName, isRelative, setClassName, setName, setRelative`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsIteratorResult

    public NdsIteratorResult(java.lang.String name,
                             java.lang.Object obj,
                             javax.naming.directory.Attributes attrs,
                              info)

  Constructs an NdsIteratorResult instance using the result's name, its bound object, its attributes, and its NDS object information.

  The javax.naming.NameClassPair.getClassName() method will return the class name of obj (or NULL if obj is NULL), unless the class name has been explicitly set using the javax.naming.NameClassPair.setClassName() method.

  Parameters:
    `name` - The non-NULL name of the iterator item. It is relative to the target context of the iterator, which is named by the first parameter of the next() or previous() methods.
    `obj` - The object bound to name. Can be NULL.
    `attrs` - The attributes that were requested to be returned with this iterator item. Cannot be NULL.
    `info` - The NDS object information about this iterator item. Cannot be NULL.

### NdsIteratorResult

    public NdsIteratorResult(java.lang.String name,
                             java.lang.Object obj,
                             javax.naming.directory.Attributes attrs,
                              info,
                             boolean isRelative)

  Constructs an NdsIteratorResult instance using the result's name, its bound object, its attributes, its NDS object information, and a boolean indicating whether or not the name is relative.

  The javax.naming.NameClassPair.getClassName() method will return the class name of obj (or NULL if obj is NULL) unless the class name has been explicitly set using the javax.naming.NameClassPair.setClassName() method.

  Parameters:
    `name` - The non-NULL name of the iterator item.
    `obj` - The object bound to name. Can be NULL.
    `attrs` - The attributes that were requested to be returned with this iterator item. Cannot be NULL.
    `info` - The NDS information about this iterator item. Cannot be NULL.
    `isRelative` - A boolean set to TRUE if name is relative to the target context of the iterator, which is named by the first parameter of the createIterator() method; otherwise, set to FALSE if name is a URL string.

### NdsIteratorResult

    public NdsIteratorResult(java.lang.String name,
                             java.lang.String className,
                             java.lang.Object obj,
                             javax.naming.directory.Attributes attrs,
                              info)

  Constructs an NdsIteratorResult instance using the result's name, its class name, its bound object, its attributes, and its NDS object information.

  The javax.naming.NameClassPair.getClassName() method will return the class name of obj (or NULL if obj is NULL) unless the class name has been explicitly set using the javax.naming.NameClassPair.setClassName() method.

  Parameters:
    `name` - The non-NULL name of the iterator item. It is relative to the target context of the iterator, which is named by the first parameter of the next() or previous() methods.
    `className` - The class name of the object bound to name. If NULL, the class name of obj is returned by the getClassName() method. If obj is also NULL, the getClassName()method will return NULL.
    `obj` - The object bound to name. Can be NULL.
    `attrs` - The attributes that were requested to be returned with this iterator item. Cannot be NULL.
    `info` - The NDS object information about this iterator item. Cannot be NULL.

### NdsIteratorResult

    public NdsIteratorResult(java.lang.String name,
                             java.lang.String className,
                             java.lang.Object obj,
                             javax.naming.directory.Attributes attrs,
                              info,
                             boolean isRelative)

  Constructs an NdsIteratorResult instance using the result's name, its class name, its bound object, its attributes, its NDS object information, and a boolean indicating whether or not the name is relative.

  The javax.naming.NameClassPair.getClassName() method will return the class name of obj (or NULL if obj is NULL) unless the class name has been explicitly set using the javax.naming.NameClassPair.setClassName() method.

  Parameters:
    `name` - The non-NULL name of the iterator item.
    `className` - The class name of the object bound to name. If NULL, the class name of obj is returned by the getClassName() method. If obj is also NULL, the getClassName() method will return NULL.
    `obj` - The object bound to name. Can be NULL.
    `attrs` - The attributes that were requested to be returned with this iterator item. Cannot be NULL.
    `info` - The NDS object information about this iterator item. Cannot be NULL.
    `isRelative` - A boolean set to TRUE if name is relative to the target context of the iterator, which is named by the first parameter of the createIterator() method; otherwise, set to FALSE if name is a URL string.

Method Detail

### getObjectInfo

    public  getObjectInfo()

  Returns an NDSObjectInfo object containing information on the NDS object in this iterator result.
  Returns:
    The NDS object information in this iterator result.

### setObjectInfo

    public void setObjectInfo( info)

  Sets the NDS object information of this iterator result to the passed in value contained in the NDSObjectInfo object.
  Parameters:
    `info` - The non-NULL NDS object information to use.

### toString

    public java.lang.String toString()

  Returns a string representation of the object. The contents of this string are useful for debugging and are not meant to be interpreted programmatically.
  Returns:
    The string representation of this iterator result.
  Overrides:
    toString in class javax.naming.directory.SearchResult

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD